%define pkg_name        Sub-Installer
%define pkg_version     v0.0.3
%define rpm_pkg_version 0.0.3
%define rpm_pkg_release 2.n0i.3

Summary:       A cleaner way to install (or reinstall) package subroutines
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCONWAY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(version)}


%description
This module provides two universal methods that any package/class can use
to install subroutines in its own namespace.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.0.3-2.n0i.3.v0.0.3
- rebuild

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.0.3-1.n0i.2.v0.0.3
- version v0.0.3

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.0.2-1.n0i.1
- version 0.0.2
- initial packaging
